UniformPrior (Apache OpenNLP :: Core :: ML :: Commons 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.ml.model, class: UniformPrior

Package opennlp.tools.ml.model

# Class UniformPrior

java.lang.Object
opennlp.tools.ml.model.UniformPrior

All Implemented Interfaces:
  `opennlp.tools.ml.model.Prior`

public class UniformPrior extends Object implements opennlp.tools.ml.model.Prior
Provide a maximum entropy model with a uniform `Prior`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UniformPrior()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `hashCode()`
  `void`
  `logPrior(double[] dist, int[] context)`
  `void`
  `logPrior(double[] dist, int[] context, float[] values)`
  `void`
  `logPrior(double[] dist, opennlp.tools.ml.model.Context[] context, float[] values)`
  `void`
  `setLabels(String[] outcomeLabels, String[] contextLabels)`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UniformPrior

    public UniformPrior()

- ## Method Details

  - ### logPrior

    public void logPrior(double[] dist, int[] context, float[] values)
    Specified by:
      `logPrior` in interface `opennlp.tools.ml.model.Prior`

  - ### logPrior

    public void logPrior(double[] dist, opennlp.tools.ml.model.Context[] context, float[] values)
    Specified by:
      `logPrior` in interface `opennlp.tools.ml.model.Prior`

  - ### logPrior

    public void logPrior(double[] dist, int[] context)
    Specified by:
      `logPrior` in interface `opennlp.tools.ml.model.Prior`

  - ### setLabels

    public void setLabels(String[] outcomeLabels, String[] contextLabels)
    Specified by:
      `setLabels` in interface `opennlp.tools.ml.model.Prior`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`